=== debian/changelog ===
populations (1.2.33-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed the restriction on g++'s version in debian/rules, since the
    upstream files are compiled correctly in a Sid chroot.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 12:31:37 +0200

populations (1.2.32-3) unstable; urgency=low

  * fixed the bug due to precompiled binaries. Closes: #632338

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 01 Jul 2011 19:06:05 +0200

populations (1.2.32-2) unstable; urgency=low

  * modified copyright data for html/libcss/* and html/libjs/*, thanks to
    Luca Falavigna.
  * uploaded to NEW. (Closes: #631020)

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 30 Jun 2011 22:35:36 +0200

populations (1.2.32-1) unstable; urgency=low

  * Initial release (Closes: #631020)
  * Modified debian control files. Older ones are in the subdirectory
    debian.orig/
  * Created a manpage from existing documents.
  * Added build-dependencies: qt4-qmake, libqt4-dev,
    libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
    libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
    zlib1g-dev, g++-4.5
    .
    N.B.: the build-dependency on g++-4.5 is necessary because of a source
    which cannot be compiled with g++-4.6

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Jun 2011 22:31:51 +0200
