=== debian/control ===
Source: populations
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, qt4-qmake, libqt4-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
 libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
 zlib1g-dev,
 g++-4.5
Standards-Version: 3.9.2
Homepage: http://www.bioinformatics.org/~tryphon/populations/

Package: populations
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-xml (>= 4.5.2)
Description: population genetic software
 Populations is a population genetic software. It computes genetic
 distances between populations or individuals. It builds phylogenetic
 trees (NJ or UPGMA) with bootstrap values.
