## populations 1.2.33%2Bsvn0120106%2Bdfsg

=== debian/changelog ===
populations (1.2.33+svn0120106+dfsg-8) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum version to 3.10. (Closes: #1113418)
  * d/watch: convert to watch file version 5.
  * d/populations.1: fix sentence that made little sense.
    This was initially caught by lintian catching an "allows to" typo.
  * d/patches/*: normalize Last-Update timestamp.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: remove redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Fri, 26 Sep 2025 20:11:40 +0200

populations (1.2.33+svn0120106+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Remove "ubuntu" from the version number.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Apr 2024 09:30:19 +0200

populations (1.2.33+svn0120106+dfsg-6ubuntu3) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hard-code dependency on shared library.
    Closes: #1068424
  * Properly clean the generated install file

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      libfreetype6-dev with replacement libfreetype-dev.
  * Lintian-overrides (see lintian bug #1017966)
  * Build-Depens: s/libfontconfig1-dev/libfontconfig-dev/

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2024 08:28:03 +0200

populations (1.2.33+svn0120106+dfsg-6) unstable; urgency=medium

  * Use DEB_HOST_GNU type for every arch since $(DEB_HOST_MULTIARCH)
    does not match the default build directory used by debhelper

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 19:30:33 +0530

populations (1.2.33+svn0120106+dfsg-5) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE only with i386 (as a failsafe)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 13:46:06 +0530

populations (1.2.33+svn0120106+dfsg-4) unstable; urgency=medium

  * Do not hardcode cmake to fix FTCBFS
  * Do not follow install instructions from CMakeLists.txt,
    but instead from d/*.install
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 12:25:42 +0530

populations (1.2.33+svn0120106+dfsg-3) unstable; urgency=medium

  * Team upload
  * Depends: s/libqt4-xml/libqt5xml5/
    Closes: #947227
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 23 Dec 2019 13:09:16 +0100

populations (1.2.33+svn0120106+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 15:16:40 +0200

populations (1.2.33+svn0120106+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]

  * [AT] Team upload
  * [AT] Take over packaging in Debian Med team maintenance
  * [AT] Priority: optional
  * [AT] cme fix dpkg-control
  * [AT] debhelper 10
  * [AT] cme fix dpkg-copyright
  * [AT] Switch to Qt5
    Closes:  #875097

  [ Georges Khaznadar ]

  * [GK] Mofified src/CMakeFiles.txt for Qt5 (GK = )

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Nov 2017 16:58:18 +0100

populations (1.2.33+svn0120106-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte
    (use this->erase).
    Also drop unused and unneeded build-dependency on g++-4.5
    Closes: #667327

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Apr 2012 13:12:39 +0200

populations (1.2.33+svn0120106-2) unstable; urgency=low

  * changed a build-depends: libpng12-dev -> libpng-dev. Closes: #662477
  * upgraded Standards-Version to 3.9.3
  * added a missing indentation in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 05 Mar 2012 09:16:37 +0000

populations (1.2.33+svn0120106-1) unstable; urgency=low

  * upgraded to the latest release.
  * modified debian/rules to cope with cmake
  * checked the compilation with g++-4.6; Closes: #654734

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 Jan 2012 16:18:14 +0100
