## populations 1.2.33+svn0120106

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, qt4-qmake, libqt4-dev,
  libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
- libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
- zlib1g-dev,
- g++-4.5
-Standards-Version: 3.9.2
+ libpng-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
+ zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://www.bioinformatics.org/~tryphon/populations/
 
 Package: populations
