=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#%:
-#	export CC=gcc-4.5 CXX=g++-4.5; dh $@ 
+DESTDIR=debian/populations
 
 %:
 	dh $@ 
+override_dh_auto_configure:
+	cmake -DCMAKE_INSTALL_PREFIX=/usr .
+	dh_auto_configure
 
 override_dh_auto_clean:
 	dh_testdir
 	rm -f src/populations
+	rm -rf CMakeFiles src/CMakeFiles Makefile src/Makefile src/config.h \
+	       *.cmake src/cmake_install.cmake CMakeCache.txt \
+	       install_manifest.txt
 	dh_auto_clean
 	dh_clean
-
-override_dh_auto_install:
-	dh_testdir
-	cp obj*/src/populations src
-	dh_auto_install
-	dh_install
