## populations 1.2.33+svn0120106+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 #CMAKE_CXX_FLAGS_RELEASE         -O3 -DNDEBUG
 #CMAKE_CXX_FLAGS_RELWITHDEBINFO  -O2 -g
 
+SET (POPULATIONS_VERSION "1.2.33")
 
 SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -72,23 +73,22 @@
 SET(CPACK_PACKAGE_DESCRIPTION_FILE ${populations_SOURCE_DIR}/COPYING)
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Populations is population genetic software")
 SET(CPACK_PACKAGE_EXECUTABLES "populations")
-SET(CPACK_PACKAGE_FILE_NAME "populations-1.2.32-Linux-i686")
-SET(CPACK_PACKAGE_INSTALL_DIRECTORY "populations 1.2.32")
-SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "populations 1.2.32")
+SET(CPACK_PACKAGE_FILE_NAME "populations-${POPULATIONS_VERSION}-Linux-i686")
+SET(CPACK_PACKAGE_INSTALL_DIRECTORY "populations ${POPULATIONS_VERSION}")
+SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "populations ${POPULATIONS_VERSION}")
 SET(CPACK_PACKAGE_NAME "populations")
 SET(CPACK_PACKAGE_VENDOR "CNRS")
-SET (POPULATIONS_VERSION "1.2.32")
 SET(CPACK_PACKAGE_VERSION ${POPULATIONS_VERSION})
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
 SET(CPACK_PACKAGE_VERSION_MINOR "2")
-SET(CPACK_PACKAGE_VERSION_PATCH "32")
+SET(CPACK_PACKAGE_VERSION_PATCH "33")
 SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/COPYING)
 SET(CPACK_RESOURCE_FILE_README ${populations_SOURCE_DIR}/README)
 SET(CPACK_RESOURCE_FILE_WELCOME ${populations_SOURCE_DIR}/INSTALL)
 SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/ChangeLog)
 SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
 SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "populations-1.2.32")
+SET(CPACK_SOURCE_PACKAGE_FILE_NAME "populations-${POPULATIONS_VERSION}")
 SET(CPACK_SOURCE_STRIP_FILES "")
 SET(CPACK_STRIP_FILES "bin/populations")
 SET(CPACK_SYSTEM_NAME "Linux-i686")
