=== debian/changelog ===
populations (1.2.33+svn0120106+dfsg-6ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:14 +1100

populations (1.2.33+svn0120106+dfsg-6ubuntu2) noble; urgency=medium

  * Properly clean the generated install file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 13:04:12 +0100

populations (1.2.33+svn0120106+dfsg-6ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 23:12:38 +0100
